MojoMojo::Formatter::Gist(3)

NAME
MojoMojo::Formatter::Gist - Embed Gist script

DESCRIPTION
Embed Gist script by writing {{gist <id>}}.

if you write:

    {{gist 618402}}

it will be formatted, like this

    <script src="https://gist.github.com/618402.js"></script>

then you can see the syntax highlighted source code.

METHODS

  format_content_order
The Gist formatter has no special requirements in terms of the order it gets run in, so it has a priority of 17.

  format_content
Calls the formatter. Takes a ref to the content as well as the context object.

  process
Here the actual formatting is done.

SEE ALSO
MojoMojo and Module::Pluggable::Ordered. Gist is <https://gist.github.com/>.

AUTHORS
Dai Okabayashi, "bayashi at cpan . org"

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.